// Borland C++ Builder
// Copyright (c) 1995, 1999 by Borland International
// All rights reserved

// (DO NOT EDIT: machine generated header) 'fonction.pas' rev: 5.00

#ifndef fonctionHPP
#define fonctionHPP

#pragma delphiheader begin
#pragma option push -w-
#pragma option push -Vx
#include <Classes.hpp>	// Pascal unit
#include <SysUtils.hpp>	// Pascal unit
#include <SysInit.hpp>	// Pascal unit
#include <System.hpp>	// Pascal unit

//-- user supplied -----------------------------------------------------------

namespace Fonction
{
//-- type declarations -------------------------------------------------------
typedef void __fastcall (__closure *VAR_CLOSURE)(bool bAFaire);

//-- var, const, procedure ---------------------------------------------------
extern PACKAGE VAR_CLOSURE __fastcall SetFonction(System::TObject* obj, AnsiString ProcName);
extern PACKAGE VAR_CLOSURE __fastcall SetFonction2(System::TObject* obj, void * ProcAddress);

}	/* namespace Fonction */
#if !defined(NO_IMPLICIT_NAMESPACE_USE)
using namespace Fonction;
#endif
#pragma option pop	// -w-
#pragma option pop	// -Vx

#pragma delphiheader end.
//-- end unit ----------------------------------------------------------------
#endif	// fonction
